List Account Movements
curl --request GET \
--url https://mapi.boomfi.xyz/v1/accounts/{accountId}/movement \
--header 'X-API-KEY: <api-key>'import requests
url = "https://mapi.boomfi.xyz/v1/accounts/{accountId}/movement"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://mapi.boomfi.xyz/v1/accounts/{accountId}/movement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"account_id": 123,
"account_reference": "<string>",
"amount": "<string>",
"chain": {
"id": 123,
"name": "<string>",
"native_currency_symbol": "<string>"
},
"confirmed_at": "<string>",
"created_at": "<string>",
"currency": "<string>",
"direction": "<string>",
"entity_id": "<string>",
"fee": "<string>",
"fee_currency": "<string>",
"from_address": "<string>",
"id": 123,
"status": "<string>",
"to_address": "<string>",
"transaction_hash": "<string>",
"type": "<string>"
}
],
"last_update": "2021-01-01T00:00:00.000Z",
"next": 10,
"total": 10
},
"error": true
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Accounts
List Account Movements
Paginated ledger history for one settlement account and its sub-accounts, newest first. The path accepts either the account id or the reference you gave it. Amounts are exact decimal strings.
GET
/
accounts
/
{accountId}
/
movement
List Account Movements
Authorizations
Headers
Target sub-merchant organisation ID. Required for partner-delegated requests, which must be signed with the partner secret.
Path Parameters
Settlement account id or merchant reference
Query Parameters
Page size. Defaults to 100. Minimum 1, maximum 100.
Required range:
1 <= x <= 100Page number (1-based). Defaults to 1.
Required range:
x >= 1Inclusive lower bound on created_at (RFC3339). When set, results are sorted by created_at.
Sort direction for the primary list key (created_at when since/until are set, otherwise id). Defaults to desc.
Available options:
asc, desc Inclusive upper bound on created_at (RFC3339). When set, results are sorted by created_at.